import RPi.GPIO as GPIO
import time
import sys
import signal
from pushover import init, Client

GPIO.setmode(GPIO.BCM)

DOOR_SENSOR_PIN = 18

isOpen = None
oldIsOpen = None

def cleanupSensors(signal, frame):
    GPIO.cleanup()
    sys.exit(0)

# Door sensor pin
GPIO.setup(DOOR_SENSOR_PIN, GPIO.IN, pull_up_down=GPIO.PUD_UP)

# Cleanup on program exit
signal.signal(signal.SIGINT, cleanupSensors)

while True:
    oldIsOpen = isOpen
    isOpen = GPIO.input(DOOR_SENSOR_PIN)

    if (isOpen and (isOpen != oldIsOpen)):
        # print("Cooler is open.")
        Client().send_message("Cooler Open!", title="Cooler Open")
    elif (isOpen != oldIsOpen):
        # print("Cooler is closed.")
        Client().send_message("Cooler Closed!", title="Cooler Closed")

    time.sleep(0.1)
